SUSE SLES12 / SLES15 Security Update : kernel (Live Patch 0 for SLE 15 SP4) (SUSE-SU-2022:3370-1)

high Nessus Plugin ID 165450

Language:

Synopsis

The remote SUSE host is missing one or more security updates.

Description

The remote SUSE Linux SLES12 / SLES15 host has packages installed that are affected by multiple vulnerabilities as referenced in the SUSE-SU-2022:3370-1 advisory.

- Linux Kernel could allow a local attacker to execute arbitrary code on the system, caused by a concurrency use-after-free flaw in the bad_flp_intr function. By executing a specially-crafted program, an attacker could exploit this vulnerability to execute arbitrary code or cause a denial of service condition on the system. (CVE-2022-1652)

- Improper Update of Reference Count vulnerability in net/sched of Linux Kernel allows local attacker to cause privilege escalation to root. This issue affects: Linux Kernel versions prior to 5.18; version 4.14 and later versions. (CVE-2022-29581)

- An issue was discovered in include/asm-generic/tlb.h in the Linux kernel before 5.19. Because of a race condition (unmap_mapping_range versus munmap), a device driver can free a page while it still has stale TLB entries. This only occurs in situations with VM_PFNMAP VMAs. (CVE-2022-39188)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the affected kernel-livepatch-5_14_21-150400_22-default, kgraft-patch-4_12_14-122_116-default and / or kgraft- patch-4_12_14-122_88-default packages.

See Also

https://www.suse.com/security/cve/CVE-2022-1652

https://bugzilla.suse.com/1200057

https://www.suse.com/security/cve/CVE-2022-29581

https://bugzilla.suse.com/1199695

https://www.suse.com/security/cve/CVE-2022-39188

https://bugzilla.suse.com/1203116

http://www.nessus.org/u?ec3dc5a0

Plugin Details

Severity: High

ID: 165450

File Name: suse_SU-2022-3370-1.nasl

Version: 1.3

Type: local

Agent: unix

Published: 9/26/2022

Updated: 11/10/2022

Supported Sensors: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment

Risk Information

VPR

Risk Factor: High

Score: 7.4

CVSS v2

Risk Factor: High

Base Score: 7.2

Temporal Score: 5.3

Vector: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS Score Source: CVE-2022-29581

CVSS v3

Risk Factor: High

Base Score: 7.8

Temporal Score: 6.8

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:2.3:o:novell:suse_linux:12:*:*:*:*:*:*:*, cpe:2.3:o:novell:suse_linux:15:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:kgraft-patch-4_12_14-122_88-default:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:kgraft-patch-4_12_14-122_116-default:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:kernel-livepatch-5_14_21-150400_22-default:*:*:*:*:*:*:*

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 9/25/2022

Vulnerability Publication Date: 5/17/2022

Reference Information

CVE: CVE-2022-1652, CVE-2022-29581, CVE-2022-39188

SuSE: SUSE-SU-2022:3370-1